Async Jobs / REST API
Cancel job
Cancel a running async MCP job.
POST /api/v1/jobs/{jobId}/cancelDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
jobIdRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/jobs/00000000-0000-4000-8000-000000000000/cancel" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"jobId": {
"type": "string"
}
},
"required": [
"jobId"
]
}